> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un nuevo cliente padre

> Operacion: Crear un nuevo cliente padre.



## OpenAPI

````yaml /generated/specs/clients.json post /api/v1/client_father/create
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/client_father/create:
    post:
      tags:
        - Client Father
      summary: Crear un nuevo cliente padre
      description: 'Operacion: Crear un nuevo cliente padre.'
      operationId: ClientFatherController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClientFatherDto'
      responses:
        '201':
          description: Cliente padre creado exitosamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFatherResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateClientFatherDto:
      type: object
      properties:
        fatherName:
          type: string
          description: Nombre del cliente padre
          example: Empresa Matriz SA
        fantasyName:
          type: string
          description: Nombre de fantasía
        rut:
          type: string
          description: RUT
          example: 12.345.678-9
        email:
          type: string
          description: Email
          example: contacto@empresa.cl
        phone:
          type: string
          description: Teléfono
        factura:
          type: boolean
          description: Requiere factura
        ordenCompra:
          type: boolean
          description: Requiere orden de compra
        requiresHes:
          type: boolean
          description: Requiere HES
        childrenIds:
          description: IDs de clientes hijos a asociar
          example:
            - uuid1
            - uuid2
          type: array
          items:
            type: string
      required:
        - fatherName
    ClientFatherResponseDto:
      type: object
      properties:
        idFather:
          type: string
          description: ID del cliente padre
        fatherName:
          type: object
          description: Nombre del cliente padre
        fantasyName:
          type: object
          description: Nombre de fantasía
        rut:
          type: object
          description: RUT
        email:
          type: object
          description: Email
        phone:
          type: object
          description: Teléfono
        factura:
          type: object
          description: Requiere factura
        ordenCompra:
          type: object
          description: Requiere orden de compra
        requiresHes:
          type: object
          description: Requiere HES
        createdAt:
          type: object
          description: Fecha de creación
        updatedAt:
          type: object
          description: Fecha de actualización
        clientsChildrens:
          description: Lista de clientes hijos
          type: array
          items:
            $ref: '#/components/schemas/ClientChildResponseDto'
      required:
        - idFather
    ClientChildResponseDto:
      type: object
      properties:
        clientId:
          type: string
          description: ID del cliente
        clientName:
          type: object
          description: Nombre del cliente
        rut:
          type: object
          description: RUT del cliente
        typeOfContractId:
          type: object
          description: ID del tipo de contrato
        sellerId:
          type: object
          description: ID del vendedor
        sellerName:
          type: object
          description: Nombre del vendedor
      required:
        - clientId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````